Trillet AI logo

Get Pending Invitations

List the pending workspace invitations sent to your email address.

GEThttps://api.trillet.ai/v1/api/workspaces/invitations/pending

Returns every pending, unexpired invitation whose recipient email matches yours, across all workspaces.

Headers

x-workspace-idstringrequired

The _id of any workspace you're a member of. Required with API-key authentication (400 without it). It doesn't filter the results.

Response Fields

successboolean

true.

invitationsarray

Your pending invitations.

{
  "success": true,
  "invitations": [
    {
      "id": "b1b1b1b1b1b1b1b1b1b1b1b1",
      "email": "jane@company.com",
      "role": "editor",
      "type": "internal",
      "workspace": {
        "id": "b4b4b4b4b4b4b4b4b4b4b4b4",
        "name": "Sales Team",
        "initials": "ST",
        "isWhiteLabel": false
      },
      "invitedBy": {
        "id": "a1a1a1a1a1a1a1a1a1a1a1a1",
        "name": "Sam Lee",
        "email": "sam@company.com",
        "picture": null
      },
      "createdAt": "2026-10-20T09:00:00.000Z",
      "expiresAt": "2026-10-27T09:00:00.000Z",
      "token": "3f9c..."
    }
  ]
}

Last updated on